/*
 Theme Name:  Kadence Child
 Theme URI:   https://www.kadencewp.com/kadence-theme/
 Description: Child theme for Kadence
 Author:      Vasily
 Template:    kadence
 Version:     1.0.0
 Text Domain: kadence-child
*/

@font-face {
    font-family: 'Inter';
    font-weight: 100 900;
    font-display: swap;
    src: url("./fonts/Inter-var.subset.woff2") format("woff2");
}

@font-face {
    font-family: 'Plus Jakarta Sans';
    font-weight: 100 900;
    font-display: swap;
    src: url("./fonts/PlusJakartaSans-var-latin.woff2") format("woff2");
}


:root {
    --color-blue-darker: #201C44;
    --color-blue: #2998FF;
}

body {
    font-family: Inter, sans-serif;
    color: var(--color-blue-darker);
}

body h1, body h2, body h3, body h4, body h5, body h6 {
    font-family: Plus Jakarta Sans, sans-serif;
    color: var(--color-blue-darker);
    line-height: 1.4;
}

p, span {
    font-family: Inter, sans-serif;
    font-size: 17px;
    font-weight: 300;
    line-height: 1.35;
}

h1 {
    padding: 0;
    line-height: 1.2;
    font-weight: 600;
    font-size: 40px;
}

body .wp-block-kadence-column.wp-block-kadence-column.wp-block-kadence-column h2 {
    line-height: 1.2;
    font-weight: 500;
    font-size: 40px;
    max-width: 100%;

    @media (max-width: 991px) {
        font-size: 30px;
    }
}

h2.ld-accordion__heading {
    text-align: left;
    padding: 0;
    max-width: 600px;
    line-height: 1.2;
    font-weight: 600;
}

.ld-accordion__subheading.ld-accordion__subheading {
    font-weight: 400;
    font-size: 20px;
    padding: 20px 12px 0;
    font-family: "Plus Jakarta Sans";
    margin-bottom: 10px;

    &:after {
        content: '';
        width: 100%;
        height: 1px;
        display: block;
        background: #E5E7EB;
        top: 3px;
        position: relative;
    }
}

strong {
    font-weight: 600;
}

@media (min-width: 991px) {
    .transparent-header #masthead,
    .transparent-header .site-top-header-wrap .site-header-row-container-inner,
    .transparent-header .site-main-header-wrap .site-header-row-container-inner,
    .transparent-header .site-bottom-header-wrap .site-header-row-container-inner {
        background: #fff;
    }
}

@media (max-width: 991px) {
    .site-branding a.brand img.svg-logo-image {
        width: 120px;
    }

    .site-main-header-inner-wrap {
        min-height: 48px;
    }
}


.site-branding a.brand img.svg-logo-image {
    width: 250px;
}

.site-branding a.brand img {
    max-width: 250px;
}

.secondary-navigation .secondary-menu-container > ul > li.menu-item > a {
    color: var(--color-blue-darker);
}

.secondary-navigation .secondary-menu-container > ul > li.menu-item > a:hover {
    color: var(--color-blue);
}

.main-navigation .primary-menu-container > ul > li.menu-item > a {
    color: var(--color-blue-darker);
}


.learndash-wrapper .ld-quiz-actions input[name=reShowQuestion],
.learndash-wrapper .ld-quiz-actions input[name=restartQuiz] {
    background-color: var(--color-blue);
}

.learndash-wrapper .ld-quiz-actions input[name=reShowQuestion]:hover,
.learndash-wrapper .ld-quiz-actions input[name=restartQuiz]:hover {
    opacity: 1;
}

.ld-navigation {
    .ld-navigation__back-to-course-link:active,
    .ld-navigation__back-to-course-link:focus,
    .ld-navigation__back-to-course-link:hover,
    .ld-navigation__next-link:active,
    .ld-navigation__next-link:focus,
    .ld-navigation__next-link:hover,
    .ld-navigation__previous-link:active,
    .ld-navigation__previous-link:focus,
    .ld-navigation__previous-link:hover {
        border-color: transparent;
    }

    .ld-navigation__back-to-course-link:active,
    .ld-navigation__back-to-course-link:hover,
    .ld-navigation__next-link:active,
    .ld-navigation__next-link:hover,
    .ld-navigation__previous-link:active,
    .ld-navigation__previous-link:hover {
        background-color: transparent;
        color: var(--color-blue);
    }

    .ld-navigation__progress-mark-complete-button:disabled,
    .ld-navigation__progress-mark-complete-button[aria-disabled=true] {
        border-radius: 100px;
        font-family: Inter, sans-serif;
        font-size: 15px;
        font-weight: 600;
        line-height: 1.35;
    }

    .ld-navigation__back-to-course-link,
    .ld-navigation__next-link,
    .ld-navigation__previous-link {
        font-size: 15px;
        background-color: transparent;
        color: var(--color-blue-darker);
    }

    .ld-navigation__back-to-course-link:active,
    .ld-navigation__back-to-course-link:focus,
    .ld-navigation__back-to-course-link:focus-visible,
    .ld-navigation__back-to-course-link:focus-within,
    .ld-navigation__back-to-course-link:hover,
    .ld-navigation__next-link:active,
    .ld-navigation__next-link:focus,
    .ld-navigation__next-link:focus-visible,
    .ld-navigation__next-link:focus-within,
    .ld-navigation__next-link:hover,
    .ld-navigation__previous-link:active,
    .ld-navigation__previous-link:focus,
    .ld-navigation__previous-link:focus-visible,
    .ld-navigation__previous-link:focus-within,
    .ld-navigation__previous-link:hover {
        color: var(--color-blue);
    }

    .ld-navigation__progress-mark-complete-button,
    .ld-navigation__progress-mark-complete-button:active,
    .ld-navigation__progress-mark-complete-button:focus,
    .ld-navigation__progress-mark-complete-button:focus-visible,
    .ld-navigation__progress-mark-complete-button:focus-within,
    .ld-navigation__progress-mark-complete-button:hover {
        border-radius: 100px;
        background-color: var(--color-blue);
    }
}


.single-sfwd-courses {

    .ld-enrollment__join .ld-enrollment__join-button {
        font-weight: 600;
        padding: 12px 32px;
        border-radius: 99px;
        border: solid 2px transparent;
        display: flex;
        align-items: center;
        gap: 0.5em;
        text-align: center;
        line-height: 1;
        background-color: var(--color-blue);
        color: #fff;
        font-size: 14px;
        transition: 0.6s all;
    }

    .ld-enrollment__join .ld-enrollment__join-button:hover {
        font-weight: 600;
        padding: 12px 32px;
        border-radius: 99px;
        border: solid 2px transparent;
        display: flex;
        align-items: center;
        gap: 0.5em;
        text-align: center;
        line-height: 1;
        background-color: #201C44;
        color: #fff;
        font-size: 14px;
        transition: 0.6s all;
    }

    .ld-enrollment__login .ld-enrollment__login-link {
        font-size: 14px;
        font-weight: 400;
    }

    .learndash-wrapper--course {
        display: block;
    }

    h1.entry-title {
        text-align: left;
        padding: 0;
        max-width: 600px;
        line-height: 1.2;
        font-weight: 500;
        font-size: 40px;

        @media (max-width: 991px) {
            font-size: 30px;
        }
    }

    .ld-tab-bar__panel .ld-featured-image {
        height: 0;
        margin: 0;
    }

    .ld-layout__sidebar {
        position: absolute;
        top: 0;
        right: 0;
        padding: 12px 32px;

        @media (max-width: 991px) {
            padding: 0;
        }
    }

    .ld-details {
        display: none;
    }

    .ld-enrollment__pricing {
        display: none;
    }

    .ld-enrollment {
        padding: 15px;
        border: none;

        @media (max-width: 991px) {
            padding: 0;
        }
    }

    .ld-enrollment__login-link {
        font-size: 1rem;
        font-weight: 400;
    }

    .ld-enrollment__login-text {
        font-size: 1rem;
    }

    .ld-layout__content {
        display: block;
        width: 100%;
    }

}

.learndash-wrapper .wpProQuiz_content .wpProQuiz_button,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button2 {
    width: auto;
    font-weight: 400;
    padding: 10px 20px;
    text-align: center;
    font-size: 16px;
}

.ld-course-list-content {
    .ld-course-list-items {

        justify-content: center;

        .ld_course_grid {

            article.course {
                border-radius: 20px;
                overflow: hidden;
                box-shadow: 0px 10px 20px rgba(11, 56, 88, 0.1);
                border: none;
            }

            .thumbnail.course .ribbon.enrolled {
                display: none;
            }

            .thumbnail.course {
                height: 100%;
            }

            .entry-title {
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
                text-overflow: ellipsis;
                line-height: 1.4em;
                height: calc(1.4em * 2);
                height: fit-content;
                font-weight: 500;
            }

            .ld-progress .ld-progress-heading .ld-progress-stats .ld-progress-percentage {
                color: var(--color-blue);
                font-weight: 500;
            }

            .ld-progress .ld-progress-bar .ld-progress-bar-percentage {
                color: var(--color-blue);
            }

            .thumbnail.course a.btn-primary {
                font-weight: 500;
                padding: 14px 22px;
                border-radius: 99px;
                border: solid 2px transparent;
                display: flex;
                align-items: center;
                gap: 0.5em;
                text-align: center;
                line-height: 1;
                background-color: var(--color-blue);
                color: #fff;
                font-size: 15px;
                justify-content: center;
                width: 200px;
                margin: 20px auto;
            }
        }
    }
}


.ribbon {
    display: none;
}

.ribbon.completed {
    display: block;
}

.learndash-wrapper .ld-login-modal .ld-login-modal-form .ld-login-modal-branding img {
    justify-self: center;
}

.learndash-wrapper .ld-login-modal .ld-login-modal-register:hover {
    opacity: 1;
}

.learndash-wrapper .ld-button:hover:not([disabled]):not(.ld-button-transparent):not(.ld--ignore-inline-css) {
    background-color: var(--color-blue) !important;
}

.learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) a:not(.button):not(.screen-reader-shortcut) {
    margin: 1rem 0;
}

.ld-registration-order {
    display: none;
}

body .ld-breakpoint--medium .ld-registration-order__return-wrapper,
body .ld-registration__wrapper--has-order.ld-breakpoint--medium .ld-registration__form {
    flex: 0 0 100%;
    max-width: 100%;
    border-right: none;
}

body .ld-enrollment__join.ld-enrollment__join {
    margin: 0 auto;
    align-items: center;
    flex-direction: row;
}

body .learndash-wrapper .ld-focus .ld-focus-header .sfwd-mark-complete .learndash_mark_complete_button {
    display: none;
}

/* Presto Player – hide all controls */
.plyr__controls {
    display: none !important;
}

body .btn_start_course.btn_start_course {
    display: none;
    margin: 30px 0 0;
}

body.logged-in {
    .learndash_post_sfwd-courses.user_has_access {
        .btn_start_course.btn_start_course {
            display: flex;
            border-radius: 100px;
            margin-top: 0;
            padding: 12px 23px 13px;
            font-size: 16px;
            font-weight: 600;
            background-color: var(--color-blue);
            color: #fff;

            span {
                font-size: 16px;
                font-weight: 600;
            }

            .kb-svg-icon-wrap {
                transition: 0.6s all;
            }

            &:hover {
                cursor: pointer;

                .kb-svg-icon-wrap {
                    transform: translateX(5px);
                    transition: 0.6s all;
                }
            }
        }
    }

}

body .learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem:not(.ld-sortable__item).wpProQuiz_answerIncorrect .ld-quiz-question-item__status--incorrect {
    display: none;
}

body .learndash-wrapper .wpProQuiz_content .ld-quiz-question-item__status {
    span {
        display: block;
        position: relative;
        top: -7px;
        font-size: 12px;
        font-weight: 600;
        color: #00A63E;
    }

    .ld-quiz-question-item__status--incorrect {
        display: none;
    }
}

body.single-sfwd-courses {

    .ld-accordion.ld-breakpoint--small .ld-accordion__item-header--lesson,
    .ld-accordion.ld-breakpoint--small .ld-accordion__item-header--topic {
        display: flex;
        flex-direction: row;
        padding: 2px 12px;
        justify-content: space-between;
        width: 100%;
    }

    .ld-accordion__item-steps-container--lessons,
    .ld-accordion__item-steps-container--topics,
    .ld-accordion__items--lessons, .ld-accordion__items--topics {
        gap: 3px;
    }

    .content-area {
        margin-top: 1rem;
        margin-bottom: 3rem;
    }

    .ld-accordion__section {
        padding: 0 12px 12px;
        gap: 3px;
        border-radius: 12px;
        background: #F7F7F7;
        border: none;
    }

    .ld-accordion__item-title-wrapper {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .ld-accordion__item-duration-action {
        color: var(--color-blue-darker);
        font-family: "Plus Jakarta Sans";
        font-size: 12px;
        font-weight: 400;
    }

    .ld-accordion__item-title-contentWrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 8px;
    }

    .ld-accordion__item--lesson,
    .ld-accordion.ld-breakpoint--small .ld-accordion__item--topic {
        display: flex;
    }

    .ld-accordion__item-header--quiz {
        .ld-accordion__item-title-wrapper {
            justify-content: flex-start;
        }
    }

    .ld-accordion__item-title {
        font-size: 14px;
        font-weight: 300;

        .ld-accordion__item-title-icon {
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
                width: 16px;
                height: 16px;
                object-fit: contain;
                margin-right: 8px;
            }

            .ld-accordion__item-title-wrapper {
                font-size: 14px;
            }
        }
    }

    @media (max-width: 1024px) {
        .kb-image2343_0eeafe-3a:not(.kb-image-is-ratio-size) .kb-img,
        .kb-image2343_0eeafe-3a.kb-image-is-ratio-size {
            padding-top: 0;
        }
    }

    @media (max-width: 767px) {
        .kb-row-layout-id2343_475b7e-ad > .kt-row-column-wrap {
            gap: 30px;
        }

        .ld-accordion__item-header--lesson,
        .ld-accordion__item-header--topic {
            gap: 0;
            padding: 2px 12px;
            width: 100%;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
        }

        .ld-accordion__item-title {
            font-size: 14px;
            font-weight: 300;
        }
    }
}


footer {
    p {
        margin: 0;
        line-height: 1.43;
        color: rgba(32, 28, 68, 0.5);
        font-family: Inter, serif;
        font-size: 16px;
        font-weight: 300;
    }
}

.learndash-wrapper .wpProQuiz_content .wpProQuiz_response {
    background-color: #f0f3f6;
    border: 2px solid #e2e7ed;
    border-radius: 6px;
    box-shadow: none;
    box-sizing: border-box;
    color: #617175;
    margin: 0 0 2em;
    min-height: 45px;
    min-height: none;
    padding: 10px;
    position: relative;
    text-align: center;
}

/* Add to your theme's CSS */
.video-copy-link-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.copy-video-link-btn {
    display: flex;
    align-items: center;
    gap: 6px;
    background: var(--color-blue-darker);
    border: none;
    padding: 10px 12px;
    border-radius: 8px;
    cursor: pointer;
    position: relative;

    span {
        font-size: 16px;
    }

    img {
        width: 16px;
        height: 16px;
        object-fit: contain;
    }

    &:hover {
        background: var(--color-blue);
    }
}

.ld-accordion__item-attribute-icon--progress {
    display: none;
}

.ld-accordion__item-attribute-label.ld-accordion__item-attribute-label--progress {
    color: var(--color-blue);
    font-family: "Plus Jakarta Sans";
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    margin-left: 5px;

    &:before {
        content: '';
        display: block;
        width: 12px;
        height: 12px;
        background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 12 12' fill='none'%3E%3Cpath d='M10 3L4.5 8.5L2 6' stroke='%232998FF' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    }
}


@media (max-width: 991px) {
    .single-sfwd-courses {
        h1.entry-title {
            padding: 0;
            margin-top: 60px;
        }

        .single-content {
            margin: 0;
        }

        .single-content .wp-block-kadence-image {
            padding: 0 0 20px;
        }
    }

    .ld-enrollment__join {
        position: inherit;
        top: 0;
        right: 0;
        justify-self: center;
        align-self: center;
    }

    body .ld-layout--no-header {
        gap: 0;
    }

    body .btn_start_course.btn_start_course {
        margin: 20px 0 0;
    }

    .single-sfwd-courses {
        .ld-tab-bar--single.ld-tab-bar--no-access {
            /*margin-top: 50px;*/
        }
    }

    body .learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem:not(.ld-sortable__item) label {
        align-items: center;
        border: 2px solid #e2e7ed;
        border-radius: 6px;
        display: inline-block;
        padding: 1m;
        width: 100%;
        font-size: 16px;
        line-height: 1.4;
    }

    body .learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) a:not(.button):not(.screen-reader-shortcut) {
        margin: 0;
    }

    body .learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) .ld-button .ld-text {
        flex: 1 1 100;
        padding: 0 1em;
        text-align: center;
        font-size: 3vw;
        line-height: 1.2;
    }

    body .learndash-wrapper .wpProQuiz_content .wpProQuiz_questionListItem:not(.ld-sortable__item) label input {
        margin-right: 0;
    }

    body .learndash-wrapper .wpProQuiz_content .wpProQuiz_response {
        background-color: #f0f3f6;
        border: 2px solid #e2e7ed;
        border-radius: 6px;
        box-shadow: none;
        box-sizing: border-box;
        color: #617175;
        margin: 0 0 2em;
        min-height: 45px;
        min-height: none;
        padding: 5px;
        position: relative;
        text-align: center;
    }

    body .ld-navigation__progress {
        align-items: center;
    }

    .ld-accordion__subheading.ld-accordion__subheading {
        font-size: 18px;
    }

    body.single-sfwd-courses {
        .ld-accordion__item-title-contentWrapper {
            flex-direction: column;
            align-items: flex-start;
            gap: 2px;
        }
    }

    body.single-sfwd-courses {
        & .ld-accordion__item-title {
            & .ld-accordion__item-title-icon {
                .ld-accordion__item-title-wrapper {
                    width: 57vw;
                    display: flex;
                    justify-content: flex-start;
                }
            }
        }
    }

}
@media (max-width: 400px) {
    body.single-sfwd-courses {
        & .ld-accordion__item-title {
            & .ld-accordion__item-title-icon {
                .ld-accordion__item-title-wrapper {
                    width: 45vw;
                }
            }
        }
    }
}

@media (max-width: 768px) {
    body .learndash-wrapper:not(.ld-registration__outer-wrapper):not(.learndash-wrapper--modern) .ld-content-actions .ld-content-action {
        padding: 0;
    }
}